# catalog.apps

Retrieve apps details for label catalog.

options.cache is a boolean which when set will try to get apps details for label catalog from cache if available.

options.cache_only is a boolean which when set will force usage of cache only for retrieving catalog information. If the content for the catalog in question is not cached, no content would be returned. If options.cache is unset, this attribute has no effect.

options.retrieve_all_trains is a boolean value which when set will retrieve information for all the trains present in the catalog ( it is set by default ).

options.trains is a list of train name(s) which will allow selective filtering to retrieve only information of desired trains in a catalog. If options.retrieve_all_trains is set, it has precedence over options.train.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: catalog_apps_options

#### catalog_apps_options

Type: object

CatalogAppsArgs parameters.

No Additional Properties

##

#### Cache

Type: boolean Default: true

Whether to use cached catalog data if available.

##

#### Cache Only

Type: boolean Default: false

Whether to only return cached data without fetching updates.

##

#### Retrieve All Trains

Type: boolean Default: true

Whether to retrieve apps from all available trains.

##

#### Trains

Type: array of string

Specific train names to retrieve apps from (empty array means all trains).

No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Result

Type: object

Object mapping train names to their app information.

##

Each additional property must conform to the following schema

#### CatalogTrainInfo

Type: object

##

Each additional property must conform to the following schema

#### CatalogAppInfo

Type: object

##

#### App Readme

HTML content of the app README.

## Any of

Type: string
Type: null

##

#### Categories

Type: array of string

List of categories for the app.

No Additional Items

##### Each item of this array must be:

Type: string

##

#### Description

Type: string

Short description of the app.

##

#### Healthy

Type: boolean

Health status of the app.

##

#### Healthy Error

Default: null

Error if app is not healthy.

## Any of

Type: string
Type: null

##

#### Home

Type: string

Homepage URL of the app.

##

#### Location

Type: string

Local path to the app's location.

##

#### Latest Version

Latest available app version.

## Any of

Type: string
Type: null

##

#### Latest App Version

Latest available app version in repository.

## Any of

Type: string
Type: null

##

#### Latest Human Version

Human-readable version of the app.

## Any of

Type: string
Type: null

##

#### Last Update

Timestamp of the last update in ISO format.

## Any of

Type: string Format: date-time
Type: null

##

#### Name

Type: string

Name of the app.

##

#### Recommended

Type: boolean

Indicates if the app is recommended.

##

#### Title

Type: string

Title of the app.

##

#### Maintainers

Type: array of object

List of app maintainers.

No Additional Items

##### Each item of this array must be:

#### Maintainer

Type: object
No Additional Properties

##

#### Name

Type: string

Name of the app maintainer.

##

#### Email

Type: string

Email address of the app maintainer.

##

#### Url

Website URL of the app maintainer or `null`.

## Any of

Type: string
Type: null

##

#### Tags

Type: array of string

Tags associated with the app.

No Additional Items

##### Each item of this array must be:

Type: string

##

#### Screenshots

Type: array of string

List of screenshot URLs.

No Additional Items

##### Each item of this array must be:

Type: string

##

#### Sources

Type: array of string

List of source URLs.

No Additional Items

##### Each item of this array must be:

Type: string

##

#### Icon Url

Default: null

URL of the app icon.

## Any of

Type: string
Type: null

##

Additional Properties of any type are allowed.

Type: object

Required roles: CATALOG_READ